Debian Bug report logs - #515019
Leading zeroes may cause bogus UUID display for ext2/3 filesystems and swap space

version graph

Package: libmagic1; Maintainer for libmagic1 is Christoph Biedl <debian.axhn@manchmal.in-ulm.de>; Source for libmagic1 is src:file.

Reported by: Bjørn Mork <bjorn@mork.no>

Date: Thu, 12 Feb 2009 20:18:02 UTC

Severity: normal

Tags: patch

Fixed in version file/5.01-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#515019; Package file. (Thu, 12 Feb 2009 20:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. (Thu, 12 Feb 2009 20:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Leading zeroes may cause bogus UUID display for ext2/3 filesystems and swap space
Date: Thu, 12 Feb 2009 21:13:34 +0100
[Message part 1 (text/plain, inline)]
Package: file
Version: 4.26-1
Severity: normal
Tags: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

file will strip leading zeroes when displaying UUIDs.  Compare the output of
these commands on the same file system:

nemi:/etc# tune2fs -l /dev/sda1|grep UUID
Filesystem UUID:          0b7e7b52-e5cd-49b8-a304-2bc5f9b7f2b5
nemi:/etc# file -s /dev/sda1
/dev/sda1: Linux rev 1.0 ext2 filesystem data (mounted or unclean), UUID=b7e7b52-e5cd-49b8-a304-2bc5f9b7f2b5


The UUID reported by file will cause mounting problems if copied to
/etc/fstab.

The fix is simple.  I'm attaching a patch against /usr/share/misc/magic


Bjorn

- -- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-rc3-lenovo-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages file depends on:
ii  libc6                  2.7-18            GNU C Library: Shared libraries
ii  libmagic1              4.26-1            File type determination library us
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

file recommends no packages.

file suggests no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmUguoACgkQ10rqkowbIskuMgCcC74eilUUpJoZPLt1sHU8ItuW
IAIAoIp9JCYer8njG44lLkWFACKzjaer
=9lvp
-----END PGP SIGNATURE-----
[magic.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#515019; Package file. (Sat, 14 Feb 2009 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Sat, 14 Feb 2009 09:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 515019@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: 515019@bugs.debian.org
Subject: this looks good
Date: Sat, 14 Feb 2009 20:24:55 +1100
I have reproduced the bug on an ext3 filesystem and tested the fix.  It seems 
good to me.




Bug reassigned from package `file' to `libmagic1'. Request was from Adam Buchbinder <adam.buchbinder@gmail.com> to control@bugs.debian.org. (Fri, 20 Feb 2009 19:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#515019; Package libmagic1. (Sat, 21 Mar 2009 09:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Sat, 21 Mar 2009 09:57:02 GMT) Full text and rfc822 format available.

Message #17 received at 515019@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 515019@bugs.debian.org, 515019-submitter@bugs.debian.org
Subject: Re: Leading zeroes may cause bogus UUID display for ext2/3 filesystems and swap space
Date: Sat, 21 Mar 2009 10:55:38 +0100
tags 515019 +pending
thanks

applied in git, thanks.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 21 Mar 2009 09:57:04 GMT) Full text and rfc822 format available.

Message sent on to Bjørn Mork <bjorn@mork.no>:
Bug#515019. (Sat, 21 Mar 2009 09:57:06 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 03 May 2009 09:34:02 GMT) Full text and rfc822 format available.

Notification sent to Bjørn Mork <bjorn@mork.no>:
Bug acknowledged by developer. (Sun, 03 May 2009 09:34:13 GMT) Full text and rfc822 format available.

Message #27 received at 515019-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 515019-close@bugs.debian.org
Subject: Bug#515019: fixed in file 5.01-1
Date: Sun, 03 May 2009 09:17:28 +0000
Source: file
Source-Version: 5.01-1

We believe that the bug you reported is fixed in the latest version of
file, which is due to be installed in the Debian FTP archive:

file_5.01-1.diff.gz
  to pool/main/f/file/file_5.01-1.diff.gz
file_5.01-1.dsc
  to pool/main/f/file/file_5.01-1.dsc
file_5.01-1_i386.deb
  to pool/main/f/file/file_5.01-1_i386.deb
file_5.01.orig.tar.gz
  to pool/main/f/file/file_5.01.orig.tar.gz
libmagic-dev_5.01-1_i386.deb
  to pool/main/f/file/libmagic-dev_5.01-1_i386.deb
libmagic1_5.01-1_i386.deb
  to pool/main/f/file/libmagic1_5.01-1_i386.deb
python-magic-dbg_5.01-1_i386.deb
  to pool/main/f/file/python-magic-dbg_5.01-1_i386.deb
python-magic_5.01-1_i386.deb
  to pool/main/f/file/python-magic_5.01-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 515019@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated file package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun,  3 May 2009 11:02:00 +0200
Source: file
Binary: file libmagic1 libmagic-dev python-magic python-magic-dbg
Architecture: source i386
Version: 5.01-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 file       - Determines file type using "magic" numbers
 libmagic-dev - File type determination library using "magic" numbers (developmen
 libmagic1  - File type determination library using "magic" numbers
 python-magic - File type determination library using "magic" numbers (Python bin
 python-magic-dbg - File type determination library using "magic" numbers (Python bin
Closes: 499748 501589 509942 511764 513526 514056 515019 515761 522433
Changes: 
 file (5.01-1) unstable; urgency=low
 .
   * Adding patch from  Adam Buchbinder <adam.buchbinder@gmail.com> to
     fix false matches against Z-machine pattern (Closes: #499748).
   * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to
     improve XWD magic in order to not give false results on mp3 files
     (Closes: #511764).
   * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to fix
     unescaped spaces in erlang magic (Closes: #514056).
   * Updating UUID patches to cope with leading zeroes, thanks to Bjorn
     Mork <bjorn@mork.no> (Closes: #515019).
   * Updating section for python-magic-dbg.
   * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to fix
     a spacing error in the manpage (Closes: #515761).
   * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to
     updated utf-8 big-endian magic (Closes: #513526).
   * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
     new magic for git packs and indexes (Closes: #509942).
   * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to
     update magic for spectrum tap files (Closes: #501589).
   * Merging upstream version 5.01.
   * Removing magic-update-erlang.patch, went upstream.
   * Rediffing magic-add-qdbm.patch.
   * Rediffing magic-add-tokyocabinet.patch.
   * Manually renaming magic directory in rules to correct name.
   * Updating file-mgc.patch for file 5, produces raw magics again now
     (Closes: #522433).
Checksums-Sha1: 
 45993b88c92ce215a7a1d3261d75f4be9c6e8774 1210 file_5.01-1.dsc
 0f9759beeb94b85d14123a30a801249f74f902e6 614967 file_5.01.orig.tar.gz
 f41aa8e3d32aebfc7ddd2dca932bc78f4bf0592b 46778 file_5.01-1.diff.gz
 9cf9af346adba501313ddcccab8ea94476ad99b8 46164 file_5.01-1_i386.deb
 20ea5b254c8e1d77d6ae9715ae8e175488018584 386060 libmagic1_5.01-1_i386.deb
 0cbd614aa0ff2d1e1252f4b355cecdcf484761b3 96610 libmagic-dev_5.01-1_i386.deb
 810707c8506c04c467a4a0cb364fee7ea98eea93 35322 python-magic_5.01-1_i386.deb
 e0db96ce79fb92f64f28f0eaa33e71dacb9e232b 25592 python-magic-dbg_5.01-1_i386.deb
Checksums-Sha256: 
 66fea9b2487d146965edb6c899a20be229eab179833e9610babbbc758b1dbf28 1210 file_5.01-1.dsc
 3201431a5fecdf88b8058ba292f11d6b37859a2c956e4da0509ff571c8f4932c 614967 file_5.01.orig.tar.gz
 42ce77c8fde4e338e4192350fac6b83702afd72ec825c25cef1ae133463b5e2a 46778 file_5.01-1.diff.gz
 0d88476c6d66cd19915bbad7e094e2cc4daba5eda9716a56d364a77b0d8fbf51 46164 file_5.01-1_i386.deb
 d24768f80c5730498eadc218d5dcb4cb943455fd717a3f2459790a573c2b336c 386060 libmagic1_5.01-1_i386.deb
 a5086ba41a41ec21362ed9160e3cc7e04dece678766c946083aa3b72273aab80 96610 libmagic-dev_5.01-1_i386.deb
 cacfcb5963bdcc3b847871498b238f4923ef5727dac87d6fe0f9b0cc594aba40 35322 python-magic_5.01-1_i386.deb
 9e1cbdc102d061ced6241ab1a55369e27cb0d90ec06ca723f59cf90f0367abd7 25592 python-magic-dbg_5.01-1_i386.deb
Files: 
 caaf324626d9ce1318b568dd5f1e6bdb 1210 utils standard file_5.01-1.dsc
 e492d6309728ace56b113de1960e3024 614967 utils standard file_5.01.orig.tar.gz
 6bfd8f97b56fb1f47ceac169ef04d4ed 46778 utils standard file_5.01-1.diff.gz
 bf043aec382389f7194ef08d9676e3f0 46164 utils standard file_5.01-1_i386.deb
 49913a993608734015ec1989cfbdc526 386060 libs standard libmagic1_5.01-1_i386.deb
 48b975a3156414d556eb1b6809cfb2e7 96610 libdevel optional libmagic-dev_5.01-1_i386.deb
 7f8f8c666eadd7e77efcc24754d0d2d9 35322 python extra python-magic_5.01-1_i386.deb
 da589be314af791dc286f97a8cf034b4 25592 debug extra python-magic-dbg_5.01-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkn9Xg0ACgkQ+C5cwEsrK572pwCgu++LYNPWylQBZ1F6Jis3ilxm
AWMAn33oLHQIbKkYxf8pxlC6LN5X2R1a
=cgYw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Jun 2009 07:28:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:31:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.